Skip to main content

Patch Stride

PATCH 

/v1/sandbox/:sandbox_id/match-making-stride/:match_making_stride_id

Update an existing MatchMakingStrides in a sandbox

Requires permission sandbox:config:edit.

Request

Path Parameters

    match_making_stride_id uuidrequired
    sandbox_id uuidrequired

    Sandbox ID

Body

required

    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    custom_data

    object

    Custom data associated with the resource

    property name* string
    factory Stride Factory (string)

    Possible values: [Fixed, Probabilistic]

    An enumeration.

    generate_strides_for_lower_populations_than_current Generate Strides For Lower Populations Than Current (boolean)

    Default value: true

    If true, the stride will generate partitions for populations lower than the current population. This results in more strides being generated that compare larger groups of the player base. Set this to false if your configuration depends on narrowing the number of players in each partition as population grows

Responses

Successful Response

Schema

    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    custom_data

    object

    Custom data associated with the resource

    property name* string
    factory Stride Factory (string)

    Possible values: [Fixed, Probabilistic]

    An enumeration.

    generate_strides_for_lower_populations_than_current Generate Strides For Lower Populations Than Current (boolean)

    Default value: true

    If true, the stride will generate partitions for populations lower than the current population. This results in more strides being generated that compare larger groups of the player base. Set this to false if your configuration depends on narrowing the number of players in each partition as population grows

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

    match_making_stride_id uuidrequired

    ID to uniquely identify this MatchMakingStride

Loading...